(in-package :om)

(defun load-chroma-classes ()
  ;;; si on charge dynamiquement dans OM
  (load-files (cr::getenv cr::CScls) "lisp" t)
  ;(load-files (truename "chroma:OMChroma;CSOUND;Classes;") "lisp" t)
  )

(load-chroma-classes)
;;(om-add-init-func 'load-chroma-classes)

(defvar *chromapack* (omNG-protect-object (omNG-make-new-package "OMChroma")))
(addpackage2pack *chromapack* *audiopackage*)

(defvar *chroma-int-pack* (omNG-protect-object (omNG-make-new-package "Intro")))
(defvar *chroma-adv-pack* (omNG-protect-object (omNG-make-new-package "Advanced")))
(addpackage2pack  *chroma-int-pack* *chromapack*)
(addpackage2pack *chroma-adv-pack* *chromapack*)
 
(addclass2pack '(add-1 add-2 buzz-1 fm-1 fof-1 fof-2 fog-1 pluck-1 snare-1 ran-1 sub-1 wshp-1) *chroma-int-pack*)
(addclass2pack '(add-a1 ad1s-root fm1s-root) *chroma-adv-pack*)