;OpenMusic
;
;Copyright (C) 1997, 1998, 1999, 2000 by IRCAM-Centre Georges Pompidou, Paris, France.
; 
;This program is free software; you can redistribute it and/or
;modify it under the terms of the GNU General Public License
;as published by the Free Software Foundation; either version 2
;of the License, or (at your option) any later version.
;
;See file LICENSE for further informations on licensing terms.
;
;This program is distributed in the hope that it will be useful,
;but WITHOUT ANY WARRANTY; without even the implied warranty of
;MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;GNU General Public License for more details.
;
;You should have received a copy of the GNU General Public License
;along with this program; if not, write to the Free Software
;Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
;
;Authors: Gerard Assayag and Augusto Agon


;DocFile
;This file contains the abstract classes for the system definition.
;Last Modifications :
;18/10/97 first date.
;DocFile
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(in-package :om)

;-----------------Protocole--------------------

#|
(defgeneric* omNG-make-new-boxcall (self posi name)
   (
    :icon 400 
    :documentation "Cons a box having by reference the 'self'.")
   )

(defgeneric* omNG-rename (self name)
   (
    :icon 400 
    :documentation "This method changes the name of the object 'self' with the new name 'name'")
   )

(defgeneric* omng-MoveObject (self newpos)
   (
    :icon 400 
    :documentation "Move the box 'self' to 'newpos'.")
   )

(defgeneric* omNG-box-value (self &optional numout)
   (
    :icon 400
    :documentation "Eval the output indexed by 'numout' for the box 'self'. 
In this method we call the generic function reference of 'self'.")
)

(defgeneric* omNG-connect (source  numout  target  numin lines &optional col)
   (
    :icon 400
    :documentation "Connect the input indexed by 'numin' of the box 'source' to the output indexed by 'numout'
of the box 'target'. If  lines equal NIL the connection will be draw automaticly.")
   )



(defgeneric* omG-select (self)  
   (
    :icon 400 
    :documentation "Set the frame 'self' and the object pointed by 'self' in selected mode")
   )

(defgeneric* omG-unselect (self)  
   (
    :icon 400 
    :documentation "Set the frame 'self' and the object pointed by 'self' in unselected mode")
   )

(defgeneric* get-elements (self) 
   (
    :icon 400
    :documentation "get objects contains in self" 
    )
   )
|#