(in-package :om)

(defvar *midipackage* (omNG-protect-object (omNG-make-new-package "Midi")))

(defvar *midisendpackage* (omNG-protect-object (omNG-make-new-package "MIDI-Send")))
(AddPackage2Pack *midisendpackage* *midipackage* :protect t)

(defvar *midifilterpackage* (omNG-protect-object (omNG-make-new-package "Filters")))
(AddPackage2Pack *midifilterpackage* *midipackage* :protect t)


; Removed from package *scorepackage* (ScoreOMInterface.lisp)
(AddClass2Pack '(MidiFile) *midipackage* :position (list (om-make-point 75 295) (om-make-point 75 115)))

(AddClass2Pack '(MidiEvent EventMidi-seq MidiControl Tempo-map Midi-Mix-Console) *midipackage* :position (list (om-make-point 75 295) (om-make-point 75 115)))

(AddGenFun2Pack  '(midi-o pitchwheel pitchbend pgmout polyKeypres aftertouch ctrlchg volume sysex midi-reset cseq+tempo->voice) *midisendpackage*)

(AddGenFun2Pack  '(test-date test-channel test-type test-track test-port midievent-filter) *midifilterpackage*)

(AddGenFun2Pack  '(mesure-time) *scorepackage*)

; removed from ScoreOMInterface.lisp
(AddGenFun2Pack '(mf-info save-as-midi) *midipackage*)

(AddGenFun2Pack  '(get-midievents get-tempomap get-mf-lyrics get-midi-notes  
                   resample get-continuous-ctrl create-midiseq temporal-sort
                   gm-program gm-drumnote control-change ms-event
                   me-textinfo) *midipackage*)


; removed from ScoreOMInterface.lisp
;;;(omNG-add-element *package-music* *midipackage*)
(addPackage2Pack *midipackage* *om-package-tree*)