(in-package :om)


(defvar *mamux-package* (omNG-protect-object (omNG-make-new-package "MathsTools")))
(omNG-add-element *om-package-tree* *mamux-package*)

;-------Circle
(defvar *circle-package* (omNG-protect-object (omNG-make-new-package "Circle")))
(omNG-add-element *mamux-package* *circle-package*)

(AddClass2Pack '(n-cercle) *circle-package*)
(AddGenFun2Pack '(c2chord chord2c  c2chord-seq chord-seq2c c2rhythm  rhythm2c ) *circle-package*)


;------- Sieves 
(defvar *sieves-package* (omNG-protect-object (omNG-make-new-package "Sieves")))
(omNG-add-element *mamux-package* *sieves-package*)

(AddClass2Pack '(crible) *sieves-package*)
(AddGenFun2Pack '(c-union c-intersection c-complement revel-crible) *sieves-package*)



;------- Groups
(defvar *groups-package* (omNG-protect-object (omNG-make-new-package "Groups")))
(omNG-add-element *mamux-package* *groups-package*)

(AddGenFun2Pack '(mod+ mod- mod* n-scale n-structure get-min-period get-subsets) *groups-package*)

(defvar *zn-package* (omNG-protect-object (omNG-make-new-package "Zn")))
(omNG-add-element *groups-package* *zn-package*)
(AddGenFun2Pack '(card orbites famille transp transp-comb TL-ZN  get-tid) *zn-package* )


(defvar *dn-package* (omNG-protect-object (omNG-make-new-package "Dn")))
(omNG-add-element *groups-package* *dn-package*)
(addgenfun2pack '(inv dn-orbites pc-set dn-card n-ord p-form comp sub-power 
                  sub-p-form sub-rel sub-complex 
                  ) *dn-package*) 

 (defvar *aff-package* (omNG-protect-object (omNG-make-new-package "Aff")))
(omNG-add-element *groups-package* *aff-package*)
(AddGenFun2Pack '(AllClasses ifunc inj inj-transp) *aff-package* )

;------- Sequences
(defvar *Sequences-package* (omNG-protect-object (omNG-make-new-package "Sequences")))
(omNG-add-element *mamux-package* *Sequences-package*)
(addgenfun2pack '(diff-in-list suite-reductible suite-reproductible suite-decomposition growing-by-add) *Sequences-package*)

;------- Polynomials
(defvar *Polynomials-package* (omNG-protect-object (omNG-make-new-package "Polynomials")))
(omNG-add-element *mamux-package* *Polynomials-package*)

;------- Canons

(defvar *Canons-package* (omNG-protect-object (omNG-make-new-package "Canons")))
(omNG-add-element *mamux-package* *Canons-package*)

(defvar *vuza-package* (omNG-protect-object (omNG-make-new-package "Vuza")))
(omNG-add-element *Canons-package* *vuza-package*)
(addgenfun2pack '(canon-n decompo infocanons Patterns Canons) *vuza-package*) 

(defvar *aug-package* (omNG-protect-object (omNG-make-new-package "Augmented")))
(omNG-add-element *Canons-package* *aug-package*)
(addgenfun2pack '(signatures ag-canoninfo  allcanons-aff  augmented-canon) *aug-package*) 

(defvar *cyclo-package* (omNG-protect-object (omNG-make-new-package "Cyclotomic")))
(omNG-add-element *Canons-package* *cyclo-package*)
(addgenfun2pack '(cyclo bonpolynome? poly2canon poly-mult mult-mult out-rythm get-canon-n  cm-conditions t2? t1? ) *cyclo-package*) 

