(in-package :om)


(defvar *sdifpackage* (omNG-protect-object (omNG-make-new-package "SDIF")))
(addPackage2Pack *sdifpackage* *audiopackage*)

(defvar *sdif-PREDEFpackage* (omNG-protect-object (omNG-make-new-package "Predefined Matrices")))
(defvar *sdif-inspectpack* (omNG-protect-object (omNG-make-new-package "Read")))
(defvar *sdif-writepack* (omNG-protect-object (omNG-make-new-package "Write")))

(addPackage2Pack *sdif-inspectpack* *sdifpackage*)
(addPackage2Pack *sdif-writepack* *sdifpackage*)
(addPackage2Pack *sdif-PREDEFpackage* *sdifpackage*)

(AddClass2Pack '(SDIFFile SDIFMatrix SDIFFrame SDIFStream SDIFType SDIF-Buffer) *sdifpackage*)

(AddGenFun2Pack  '(sdif2text SdifInfo 
                   GetSdifData Get-Times GetSdifStream
                   numFrames FrameInfo numMatrix MatrixInfo GetRow GetCol GetVal
                   save-sdif-file Assoc-aiff 
                   ) *sdif-inspectpack*)

(AddGenFun2Pack  '(save-sdif-file
                   sdif-write-frame
                   sdif-write-header
                   ) *sdif-writepack*)

(AddClass2Pack '(SDIF-MTC 1STI 1STF 1DIS 1CHA 1FOF 1FQ0 1RES) *sdif-PREDEFpackage*)
(AddGenFun2Pack  '(GetPredefinedMatrix) *sdif-PREDEFpackage*)

